# This section will create a deployment in the Kubernetes cluster
apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-application
spec:
  replicas: 1
  selector:
    matchLabels:
      app: my-application
  template:
    metadata:
      labels:
        app: my-application
    spec:
      containers:
        - name: my-application
          image: my-registry/my-application:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 80
            # so that the deployment can be accessed from the outside
apiVersion: v1
kind: Service
metadata:
  name: my-application
spec:
  ports:
    - port: 3000
      nodePort: 31234
  selector:
    app: my-application
  type: NodePort